public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
* [git.ipfire.org] IPFire 2.x development tree branch, kernel-update, updated. 337726bf3a0a21101ade7488264f386d54bbe20f
@ 2012-08-13 12:25 git
  0 siblings, 0 replies; only message in thread
From: git @ 2012-08-13 12:25 UTC (permalink / raw)
  To: ipfire-scm

[-- Attachment #1: Type: text/plain, Size: 9681 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, kernel-update has been updated
       via  337726bf3a0a21101ade7488264f386d54bbe20f (commit)
      from  acb59f3a997cd39fbcc7b13df3a662533cec08c0 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 337726bf3a0a21101ade7488264f386d54bbe20f
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date:   Mon Aug 13 14:24:27 2012 +0200

    installer: remove kudzu from scriots.

-----------------------------------------------------------------------

Summary of changes:
 src/install+setup/install/main.c         |    8 ++--
 src/install+setup/install/mountdest.sh   |   78 ++++--------------------------
 src/install+setup/install/mountsource.sh |   29 +++++++-----
 3 files changed, 31 insertions(+), 84 deletions(-)

Difference in files:
diff --git a/src/install+setup/install/main.c b/src/install+setup/install/main.c
index daa1c3f..c181e4a 100644
--- a/src/install+setup/install/main.c
+++ b/src/install+setup/install/main.c
@@ -132,7 +132,7 @@ int main(int argc, char *argv[])
 
 	// Load common modules
 	mysystem("/sbin/modprobe iso9660"); // CDROM
-	mysystem("/sbin/modprobe ext2"); // Boot patition
+//	mysystem("/sbin/modprobe ext2"); // Boot patition
 	mysystem("/sbin/modprobe vfat"); // USB key
 	
 	/* German is the default */
@@ -375,16 +375,16 @@ int main(int argc, char *argv[])
 	}
 	
 	if (fstype == EXT2) {
-		mysystem("/sbin/modprobe ext2");
+//		mysystem("/sbin/modprobe ext2");
 		sprintf(mkfscommand, "/sbin/mke2fs -T ext2");
 	} else if (fstype == REISERFS) {
 		mysystem("/sbin/modprobe reiserfs");
 		sprintf(mkfscommand, "/sbin/mkreiserfs -f");
 	} else if (fstype == EXT3) {
-		mysystem("/sbin/modprobe ext3");
+//		mysystem("/sbin/modprobe ext3");
 		sprintf(mkfscommand, "/sbin/mke2fs -T ext3");
 	} else if (fstype == EXT4) {
-		mysystem("/sbin/modprobe ext4");
+//		mysystem("/sbin/modprobe ext4");
 		sprintf(mkfscommand, "/sbin/mke2fs -T ext4");
 	}
 
diff --git a/src/install+setup/install/mountdest.sh b/src/install+setup/install/mountdest.sh
index 00243a9..700b838 100644
--- a/src/install+setup/install/mountdest.sh
+++ b/src/install+setup/install/mountdest.sh
@@ -2,7 +2,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007  Michael Tremer & Christian Schmidt                      #
+# Copyright (C) 2007-2012  IPFire Team  <info(a)ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -21,30 +21,10 @@
 
 echo "Scanning for possible destination drives"
 
-# scan IDE devices
-echo "--> IDE"
-for DEVICE in $(kudzu -qps -t 30 -c HD -b IDE | grep device: | cut -d ' ' -f 2 | sort | uniq); do
-		if [ "$(grep ${DEVICE} /proc/partitions)" = "" ]; then
-			umount /harddisk 2> /dev/null
-			echo "${DEVICE} is empty - SKIP"
-			continue
-		fi
-		mount /dev/${DEVICE}1 /harddisk 2> /dev/null
-		if [ -n "$(ls /harddisk/ipfire-*.tlz 2>/dev/null)" ]; then
-			umount /harddisk 2> /dev/null
-			echo "${DEVICE}1 is source drive - SKIP"
-			continue
-		else
-			umount /harddisk 2> /dev/null
-			echo -n "$DEVICE" > /tmp/dest_device
-			echo "${DEVICE} - yes, it is our destination"
-			exit 0 # IDE / use DEVICE for grub
-		fi
-done
-
-# scan USB/SCSI devices
-echo "--> USB/SCSI"
-for DEVICE in $(kudzu -qps -t 30 -c HD -b SCSI | grep device: | cut -d ' ' -f 2 | sort | uniq); do
+# scan sd?
+echo "--> sd?"
+for DEVICE in `find /sys/block/* -maxdepth 0 -name sd* -exec basename {} \; | sort | uniq`
+do
 		if [ "$(grep ${DEVICE} /proc/partitions)" = "" ]; then
 			umount /harddisk 2> /dev/null
 			echo "${DEVICE} is empty - SKIP"
@@ -66,19 +46,15 @@ for DEVICE in $(kudzu -qps -t 30 -c HD -b SCSI | grep device: | cut -d ' ' -f 2
 				umount /harddisk 2> /dev/null
 				echo -n "$DEVICE" > /tmp/dest_device
 				echo "${DEVICE} - yes, it is our destination"
-				exit 1 # SCSI/USB (always use /dev/sda as bootdevicename)
+				exit 1 # (always use /dev/sda as bootdevicename)
 			fi
 		fi
 done
 
-# scan RAID devices
-echo "--> RAID"
-for DEVICE in $(kudzu -qps -t 30 -c HD -b RAID | grep device: | cut -d ' ' -f 2 | sort | uniq); do
-		if [ "$(grep ${DEVICE}p1 /proc/partitions)" = "" ]; then
-			umount /harddisk 2> /dev/null
-			echo "${DEVICE}p1 is empty - SKIP"
-			continue
-		fi
+# scan other
+echo "--> other"
+for DEVICE in `find /sys/block/* -maxdepth 0 ! -name sd* ! -name sr* ! -name fd* ! -name loop* ! -name ram* -exec basename {} \; | sort | uniq`
+do
 		mount /dev/${DEVICE}p1 /harddisk 2> /dev/null
 		if [ -n "$(ls /harddisk/ipfire-*.tlz 2>/dev/null)" ]; then
 			umount /harddisk 2> /dev/null
@@ -112,38 +88,4 @@ for DEVICE in $(kudzu -qps -t 30 -c HD -b RAID | grep device: | cut -d ' ' -f 2
 		fi
 done
 
-# Virtio devices
-echo "--> Virtio"
-for DEVICE in vda vdb vdc vdd; do
-		if [ ! -e /dev/${DEVICE} ]; then
-			continue
-		else
-			if [ "$(grep ${DEVICE} /proc/partitions)" = "" ]; then
-				umount /harddisk 2> /dev/null
-				echo "${DEVICE} is empty - SKIP"
-				continue
-			fi
-			mount /dev/${DEVICE} /harddisk 2> /dev/null
-			if [ -n "$(ls /harddisk/ipfire-*.tlz 2>/dev/null)" ]; then
-				umount /harddisk 2> /dev/null
-				echo "${DEVICE} is source drive - SKIP"
-				continue
-			else
-				umount /harddisk 2> /dev/null
-				mount /dev/${DEVICE}1 /harddisk 2> /dev/null
-				if [ -n "$(ls /harddisk/ipfire-*.tlz 2>/dev/null)" ]; then
-					umount /harddisk 2> /dev/null
-					echo "${DEVICE}1 is source drive - SKIP"
-					continue
-				else
-					umount /harddisk 2> /dev/null
-					echo -n "$DEVICE" > /tmp/dest_device
-					echo "${DEVICE} - yes, it is our destination"
-					exit 0 # like ide / use device for grub
-				fi
-			fi
-		fi
-done
-
-
 exit 10 # Nothing found
diff --git a/src/install+setup/install/mountsource.sh b/src/install+setup/install/mountsource.sh
index 6813758..fbaec7e 100644
--- a/src/install+setup/install/mountsource.sh
+++ b/src/install+setup/install/mountsource.sh
@@ -2,7 +2,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007  Michael Tremer & Christian Schmidt                      #
+# Copyright (C) 2007-2012  IPFire Team  <info(a)ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -21,8 +21,9 @@
 
 echo "Scanning source media"
 
-# scan CDROM devices
-for DEVICE in $(kudzu -qps -t 30 -c CDROM | grep device: | cut -d ' ' -f 2 | sort | uniq); do
+# scan all Block devices
+for DEVICE in `find /sys/block/* -maxdepth 0 ! -name fd* ! -name loop* ! -name ram* -exec basename {} \;`
+do
 		mount /dev/${DEVICE} /cdrom 2> /dev/null
 		if [ -n "$(ls /cdrom/ipfire-*.tlz 2>/dev/null)" ]; then
 			echo -n ${DEVICE} > /tmp/source_device
@@ -34,9 +35,10 @@ for DEVICE in $(kudzu -qps -t 30 -c CDROM | grep device: | cut -d ' ' -f 2 | sor
 		umount /cdrom 2> /dev/null
 done
 
-# scan HD device part1 (usb sticks, etc.)
-for DEVICE in $(kudzu -qps -t 30 -c HD | grep device: | cut -d ' ' -f 2 | sort | uniq); do
-	for DEVICEP in $(ls /dev/${DEVICE}? | sed "s/\/dev\///");do
+# scan all Partitions on block devices
+for DEVICE in `find /sys/block/* -maxdepth 0 ! -name fd* ! -name loop* ! -name ram* -exec basename {} \;`
+do
+	for DEVICEP in $(ls /dev/${DEVICE}? | sed "s/\/dev\///" 2> /dev/null);do
 		mount /dev/${DEVICEP} /cdrom 2> /dev/null
 		if [ -n "$(ls /cdrom/ipfire-*.tlz 2>/dev/null)" ]; then
 			echo -n ${DEVICEP} > /tmp/source_device
@@ -49,17 +51,20 @@ for DEVICE in $(kudzu -qps -t 30 -c HD | grep device: | cut -d ' ' -f 2 | sort |
 	done
 done
 
-# scan HD device unpart (usb sticks, etc.)
-for DEVICE in $(kudzu -qps -t 30 -c HD | grep device: | cut -d ' ' -f 2 | sort | uniq); do
-		mount /dev/${DEVICE} /cdrom 2> /dev/null
+# scan all Partitions on raid/mmc devices
+for DEVICE in `find /sys/block/* -maxdepth 0 ! -name fd* ! -name loop* ! -name ram* -exec basename {} \;`
+do
+	for DEVICEP in $(ls /dev/${DEVICE}p? | sed "s/\/dev\///");do
+		mount /dev/${DEVICEP} /cdrom 2> /dev/null
 		if [ -n "$(ls /cdrom/ipfire-*.tlz 2>/dev/null)" ]; then
-			echo -n ${DEVICE} > /tmp/source_device
-			echo "Found tarball on ${DEVICE}"
+			echo -n ${DEVICEP} > /tmp/source_device
+			echo "Found tarball on ${DEVICEP}"
 			exit 0
 		else
-			echo "Found no tarballs on ${DEVICE} - SKIP"
+			echo "Found no tarballs on ${DEVICEP} - SKIP"
 		fi
 		umount /cdrom 2> /dev/null
+	done
 done
 
 exit 10


hooks/post-receive
--
IPFire 2.x development tree

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2012-08-13 12:25 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2012-08-13 12:25 [git.ipfire.org] IPFire 2.x development tree branch, kernel-update, updated. 337726bf3a0a21101ade7488264f386d54bbe20f git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox